%define major            1
%define libextension     %mklibname signon-extension %major
%define libpluginscommon %mklibname signon-plugins-common %major
%define libplugins       %mklibname signon-plugins %major

%define libqt            %mklibname signon-qt5_ %major
%define develextension   %mklibname signon-extension -d
%define develplugins     %mklibname signon-plugins-common -d
%define develqt          %mklibname signon-qt5 -d
%define develd           %mklibname signond -d

%define tag0    VERSION_%{version}
%define commit0 4d195e4dc7a47ff5cb51e36a83d4d05808c5befe

Name:           signon
Version:        8.60
Release:        %mkrel 3
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials
License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/signond
Source0:        signond-master.tar.gz
Patch0:         signon-8.57-no_static.patch

BuildRequires:  doxygen
BuildRequires:  gcc-c++

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)

Requires:       %{name}d = %{version}

%description
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libextension}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libextension}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libpluginscommon}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libpluginscommon}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libplugins}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libplugins}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libqt}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libqt}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{develextension}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libextension} = %{version}-%{release}

%description -n %{develextension}
The %{develextension} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{develplugins}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libpluginscommon} = %{version}-%{release}
Requires:       %{libplugins} = %{version}-%{release}


%description -n %{develplugins}
The %{develplugins} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{develqt}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libqt} = %{version}-%{release}

%description -n %{develqt}
The %{develqt} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{name}d
Summary:        A framework for centrally storing authentication credentials
Group:          System/Libraries

%description -n %{name}d
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{develd}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}d = %{version}

%description -n %{develd}
The %{develd} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n signond-master
%apply_patches


%build
%qmake_qt5 signon.pro LIBDIR=%{_libdir} CONFIG+=rtti
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_sysconfdir}/signond.conf
%{_bindir}/signonpluginprocess
%dir %{_libdir}/signon
%{_libdir}/signon/*.so
%{_datadir}/dbus-1/services/*.service

%files -n %{libextension}
%{_libdir}/libsignon-extension.so.%{major}
%{_libdir}/libsignon-extension.so.%{major}.*

%files -n %{develextension}
%{_libdir}/libsignon-extension.so
%{_libdir}/pkgconfig/SignOnExtension.pc
%{_includedir}/signon-extension

%files -n %{libpluginscommon}
%{_libdir}/libsignon-plugins-common.so.%{major}
%{_libdir}/libsignon-plugins-common.so.%{major}.*

%files -n %{libplugins}
%{_libdir}/libsignon-plugins.so.%{major}
%{_libdir}/libsignon-plugins.so.%{major}.*

%files -n %{develplugins}
%{_libdir}/libsignon-plugins-common.so
%{_libdir}/libsignon-plugins.so
%{_libdir}/pkgconfig/signon-plugins-common.pc
%{_libdir}/pkgconfig/signon-plugins.pc
%{_includedir}/signon-plugins

%files -n %{libqt}
%{_libdir}/libsignon-qt5.so.%{major}
%{_libdir}/libsignon-qt5.so.%{major}.*

%files -n %{develqt}
%{_libdir}/libsignon-qt5.so
%{_libdir}/pkgconfig/libsignon-qt5.pc
%{_includedir}/signon-qt5
%{_libdir}/cmake/SignOnQt5

%files -n %{name}d
%{_bindir}/signond
#%{_datadir}/dbus-1/interfaces/*.xml

%files -n %{develd}
%{_libdir}/pkgconfig/signond.pc
%{_includedir}/signond

%files doc
%{_datadir}/doc/libsignon-qt
%{_datadir}/doc/signon
%{_datadir}/doc/signon-plugins
%{_datadir}/doc/signon-plugins-dev


%changelog
* Sun Nov 15 2020 tex - 8.60-3pclos2020
- build from git

* Sun Nov 15 2020 tex - 8.60-2pclos2020
- rebuild against updates

* Sun Mar 01 2020 tex - 8.60-1pclos2020
- import from maggie
